Loading...
Searching...
No Matches
casacore::NumericTraits_C< Complex > Class Reference
scimath package (libcasa_scimath) » Mathematics_module

NumericTraits specialization for Complex. More...

`#include <NumericTraits.h>`

## Public Types

typedef Complex | value_type
| Template argument.
typedef Float | BaseType
| Numeric type.
typedef Float | ConjugateType
| Conjugate (real<->complex) type.
typedef DComplex | PrecisionType
| Higher precision type (Float->Double).

## Static Public Member Functions

static uInt | size ()
| Number of relevant numeric values.
static void | setImag (value_type &other, const BaseType &val)
| Set the imaginary part of a complex value only (a NOP for reals).
static BaseType | getValue (const value_type &other, const uInt n)
| Get the nsize()-th numeric value.
static void | setValue (value_type &other, const BaseType &val, const uInt n)
| Set the nsize()-th numeric value.

## Static Public Attributes

static const Double & | epsilon
| Relevant minimum and maximum numbers.
static const Double & | minimum
static const Double & | maximum

## Detailed Description

NumericTraits specialization for Complex.

Definition at line 328 of file NumericTraits.h.

## Member Typedef Documentation

## BaseType

typedef Float casacore::NumericTraits_C< Complex >::BaseType

Numeric type.

Definition at line 333 of file NumericTraits.h.

## ConjugateType

typedef Float casacore::NumericTraits_C< Complex >::ConjugateType

Conjugate (real<->complex) type.

Definition at line 335 of file NumericTraits.h.

## PrecisionType

typedef DComplex casacore::NumericTraits_C< Complex >::PrecisionType

Higher precision type (Float->Double).

Definition at line 337 of file NumericTraits.h.

## value_type

typedef Complex casacore::NumericTraits_C< Complex >::value_type

Template argument.

Definition at line 331 of file NumericTraits.h.

## Member Function Documentation

## getValue()

BaseType casacore::NumericTraits_C< Complex >::getValue | ( | const value_type & | other,
|  | const uInt | n )

inline static

Get the nsize()-th numeric value.

Definition at line 350 of file NumericTraits.h.

## setImag()

void casacore::NumericTraits_C< Complex >::setImag | ( | value_type & | other,
|  | const BaseType & | val )

inline static

Set the imaginary part of a complex value only (a NOP for reals).

Definition at line 347 of file NumericTraits.h.

## setValue()

void casacore::NumericTraits_C< Complex >::setValue | ( | value_type & | other,
|  | const BaseType & | val,
|  | const uInt | n )

inline static

Set the nsize()-th numeric value.

Definition at line 353 of file NumericTraits.h.

## size()

uInt casacore::NumericTraits_C< Complex >::size | ( |  | ) |

inline static

Number of relevant numeric values.

Definition at line 345 of file NumericTraits.h.

## Member Data Documentation

## epsilon

const Double& casacore::NumericTraits_C< Complex >::epsilon

static

Relevant minimum and maximum numbers.

Definition at line 340 of file NumericTraits.h.

## maximum

const Double& casacore::NumericTraits_C< Complex >::maximum

static

Definition at line 342 of file NumericTraits.h.

## minimum

const Double& casacore::NumericTraits_C< Complex >::minimum

static

Definition at line 341 of file NumericTraits.h.

The documentation for this class was generated from the following file:

- scimath/Mathematics/NumericTraits.h